Package org.apache.nutch.crawl

## Class Inlinks

- java.lang.Object
- - org.apache.nutch.crawl.Inlinks

- All Implemented Interfaces:
    `Writable`

      public class Inlinks
      extends Object
      implements Writable

  A list of `Inlink`s.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Inlinks()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Inlink inlink)` |
    `void` | `add​(Inlinks inlinks)` |
    `void` | `clear()` |
    `String[]` | `getAnchors()` | Get all anchor texts.
    `Iterator<Inlink>` | `iterator()` |
    `void` | `readFields​(DataInput in)` |
    `int` | `size()` |
    `String` | `toString()` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Inlinks

          public Inlinks()

  - ### Method Detail

    - #### add

          public void add​(Inlink inlink)

    - #### add

          public void add​(Inlinks inlinks)

    - #### iterator

          public Iterator<Inlink> iterator()

    - #### size

          public int size()

    - #### clear

          public void clear()

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write​(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getAnchors

          public String[] getAnchors()

      Get all anchor texts. Only a single anchor with a given text is permitted from a given domain.
      Returns:
        the set of anchor texts.